{% extends "layout.html" %}

{% block title %}
    <a href="/groups">Student groups</a>
{% endblock %}

{% block body %}

<form method="POST">
    {{ form.hidden_tag() }}

    <table>
        <tr>
            <th>Name</th>
            <th>Coach</th>
            <th>Mon</th>
            <th>Tue</th>
            <th>Wed</th>
            <th>Thu</th>
            <th>Fri</th>
            <th>Delete</th>
        </tr>
        {% for item in form.groups %}
        <tr>
            <td>
                {% if item.form.id.data %}
                    {{ item.form.id }}
                {% endif %}
                {{ item.form.name(size=10) }}
            </td>
            <td>{{ item.form.study_coach_id }}</td>
            <td>{{ item.form.monday_teacher_id }}</td>
            <td>{{ item.form.tuesday_teacher_id }}</td>
            <td>{{ item.form.wednesday_teacher_id }}</td>
            <td>{{ item.form.thursday_teacher_id }}</td>
            <td>{{ item.form.friday_teacher_id }}</td>
            <td>{{ item.form.delete }}</td>
        </tr>
        {% endfor %}
    </table>
    <div class="buttons">
        <a role="button" class="outline" href="{{ url_for('show_templates') }}">Self sign-up</a>
        {{ form.add_group(class_="outline") }}
        {{ form.save }}
    </div>
</form>

{% endblock %}